Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class SmbTransfer

    java.lang.Object
      net.sf.jftp.net.wrappers.SmbTransfer

All Implemented Interfaces:
  java.lang.Runnable

    public class SmbTransfer

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`java.lang.Thread` | `runner`

Constructor Summary
`SmbTransfer(java.lang.String url, java.lang.String localPath, java.lang.String file, java.lang.String user, java.lang.String pass, java.lang.String domain, java.util.Vector listeners, java.lang.String type)`

Method Summary
`SmbConnection` | `getSmbConnection()`
`void` | `prepare()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runner

    public java.lang.Thread runner

Constructor Detail

### SmbTransfer

    public SmbTransfer(java.lang.String url,
                       java.lang.String localPath,
                       java.lang.String file,
                       java.lang.String user,
                       java.lang.String pass,
                       java.lang.String domain,
                       java.util.Vector listeners,
                       java.lang.String type)

Method Detail

### prepare

    public void prepare()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getSmbConnection

    public SmbConnection getSmbConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD